import type { _MKMapConfiguration } from "./MKMapConfiguration.js";
import type { _MKPointOfInterestFilter } from "./MKPointOfInterestFilter.js";
import type { MKMapElevationStyle } from "./MKMapElevationStyle.js";
export declare class _MKHybridMapConfiguration extends _MKMapConfiguration {
    static alloc(): _MKHybridMapConfiguration;
    static new(): _MKHybridMapConfiguration;
    init(): _MKHybridMapConfiguration;
    initWithElevationStyle$(elevationStyle: MKMapElevationStyle): _MKHybridMapConfiguration;
    pointOfInterestFilter(): _MKPointOfInterestFilter | null;
    setPointOfInterestFilter$(value: _MKPointOfInterestFilter | null): void;
    showsTraffic(): boolean;
    setShowsTraffic$(value: boolean): void;
}
